/preview/retail-media/reports/attributed-transactions
curl --request POST \
--url https://api.criteo.com/preview/retail-media/reports/attributed-transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"dimensions": [],
"endDate": "2023-12-25",
"filters": {
"accountIds": [
"<string>"
],
"campaignIds": [
"<string>"
],
"lineItemIds": [
"<string>"
],
"mediaTypes": []
},
"metrics": [],
"startDate": "2023-12-25",
"clickAttributionWindow": "none",
"format": "json-compact",
"timezone": "UTC",
"viewAttributionWindow": "none"
},
"type": "AsyncAttributedTransactionsReport"
}
}
'import requests
url = "https://api.criteo.com/preview/retail-media/reports/attributed-transactions"
payload = { "data": {
"attributes": {
"dimensions": [],
"endDate": "2023-12-25",
"filters": {
"accountIds": ["<string>"],
"campaignIds": ["<string>"],
"lineItemIds": ["<string>"],
"mediaTypes": []
},
"metrics": [],
"startDate": "2023-12-25",
"clickAttributionWindow": "none",
"format": "json-compact",
"timezone": "UTC",
"viewAttributionWindow": "none"
},
"type": "AsyncAttributedTransactionsReport"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
dimensions: [],
endDate: '2023-12-25',
filters: {
accountIds: ['<string>'],
campaignIds: ['<string>'],
lineItemIds: ['<string>'],
mediaTypes: []
},
metrics: [],
startDate: '2023-12-25',
clickAttributionWindow: 'none',
format: 'json-compact',
timezone: 'UTC',
viewAttributionWindow: 'none'
},
type: 'AsyncAttributedTransactionsReport'
}
})
};
fetch('https://api.criteo.com/preview/retail-media/reports/attributed-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"createdAt": "<string>",
"expiresAt": "<string>",
"fileSizeBytes": 123,
"id": "<string>",
"md5CheckSum": "<string>",
"message": "<string>",
"rowCount": 123
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/preview/retail-media/reports/attributed-transactions
Creates an attributed-transactions async report. The request accepts explicit attributed-transaction dimensions, metrics, and filters.
This endpoint is subject to specific rate limits.
POST
/
preview
/
retail-media
/
reports
/
attributed-transactions
/preview/retail-media/reports/attributed-transactions
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Required create payload.
A top-level object that encapsulates an attributed-transactions async report create request.
JSON:API resource wrapper for an attributed-transactions async report create request.
Show child attributes
Show child attributes
Was this page helpful?
⌘I